### Virtual Method

# WPEWebKit InputMethodContext filter_key_event

since: 2.28

#### Declaration [src]

    gboolean
    filter_key_event (
      WebKitInputMethodContext* context,
      wpe_input_keyboard_event* key_event
    )

#### Description [src]

Called via `webkit_input_method_context_filter_key_event()` on every key press or release event. Every non-trivial input method needs to override this in order to implement the mapping from key events to text. A return value of `TRUE` indicates to the caller that the event was consumed by the input method. In that case, the `WebKitInputMethodContext::committed` signal should be emitted upon completion of a key sequence to pass the resulting text back to the editable element. Alternatively, `FALSE` may be returned to indicate that the event wasn’t handled by the input method.

Available since: 2.28

#### Parameters

`key_event`

  Type: `wpe_input_keyboard_event*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.